Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
witness Interface Reference

## Classes
struct | witness_interfaceInfo
struct | witness_interfaceList

## Public Types
enum | witness_version { WITNESS_V1 = 0x00010001, WITNESS_V2 = 0x00020000, WITNESS_UNSPECIFIED_VERSION = 0xFFFFFFFF }
enum | witness_interfaceInfo_state { WITNESS_STATE_UNKNOWN = 0x00, WITNESS_STATE_AVAILABLE = 0x01, WITNESS_STATE_UNAVAILABLE = 0xff }
enum | witness_notifyResponse_type { WITNESS_NOTIFY_RESOURCE_CHANGE = 1, WITNESS_NOTIFY_CLIENT_MOVE = 2, WITNESS_NOTIFY_SHARE_MOVE = 3, WITNESS_NOTIFY_IP_CHANGE = 4 }
enum | witness_ResourceChange_type { WITNESS_RESOURCE_STATE_UNKNOWN = 0x00, WITNESS_RESOURCE_STATE_AVAILABLE = 0x01, WITNESS_RESOURCE_STATE_UNAVAILABLE = 0xff }
struct {
uint32 length
witness_ResourceChange_type type
nstring name
} | witness_ResourceChange
struct {
witness_IPaddrInfo_flags flags
ipv4address ipv4
ipv6address ipv6
} | witness_IPaddrInfo
struct {
uint32 length
uint32 reserved
uint32 num
witness_IPaddrInfo addr [num]
} | witness_IPaddrInfoList
union {
witness_ResourceChange resource_change
witness_IPaddrInfoList client_move
witness_IPaddrInfoList share_move
witness_IPaddrInfoList ip_change
DATA_BLOB data
} | witness_notifyResponse_message
struct {
witness_notifyResponse_type type
uint32 length
uint32 num
witness_notifyResponse_message messages [num]
} | witness_notifyResponse

## Public Member Functions
WERROR | witness_GetInterfaceList ([out] witness_interfaceList **interface_list)
WERROR | witness_Register ([out, ref] policy_handle *context_handle, [in] witness_version version, [in, unique, string, charset(UTF16)] uint16 *net_name, [in, unique, string, charset(UTF16)] uint16 *ip_address, [in, unique, string, charset(UTF16)] uint16 *client_computer_name)
WERROR | witness_UnRegister ([in] policy_handle context_handle)
WERROR | witness_AsyncNotify ([in] policy_handle context_handle, [out] witness_notifyResponse **response)
WERROR | witness_RegisterEx ([out, ref] policy_handle *context_handle, [in] witness_version version, [in, unique, string, charset(UTF16)] uint16 *net_name, [in, unique, string, charset(UTF16)] uint16 *share_name, [in, unique, string, charset(UTF16)] uint16 *ip_address, [in, unique, string, charset(UTF16)] uint16 *client_computer_name, [in] witness_RegisterEx_flags flags, [in] uint32 timeout)

## Public Attributes
typedef | bitmap

## Member Data Documentation

typedef witness::bitmap

Initial value:
{
WITNESS_INFO_IPv4_VALID = 0x01,
WITNESS_INFO_IPv6_VALID = 0x02,
WITNESS_INFO_WITNESS_IF = 0x04
} witness_interfaceInfo_flags

The documentation for this interface was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/pidl/witness/witness.idl